Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

ruby2.5-rubygem-bundler-1.16.1-lp151.3.3.1 RPM for x86_64

From OpenSuSE Leap 15.1 updates for x86_64

Name: ruby2.5-rubygem-bundler Distribution: openSUSE Leap 15.1
Version: 1.16.1 Vendor: openSUSE
Release: lp151.3.3.1 Build date: Tue Jun 9 20:11:05 2020
Group: Development/Languages/Ruby Build host: goat03
Size: 1684934 Source RPM: rubygem-bundler-1.16.1-lp151.3.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://bundler.io
Summary: The best way to manage your application's dependencies
Bundler manages an application's dependencies through its entire life, across
many machines, systematically and repeatably.

Provides

Requires

License

MIT

Changelog

* Tue May 26 2020 Marcus Rueckert <mrueckert@suse.de>
  - added https://patch-diff.githubusercontent.com/raw/rubygems/bundler/pull/7416.patch
    VUL-0: CVE-2019-3881: rubygem-bundler: Insecure permissions on
    directory in /tmp/ allows malicious code execution (boo#1143436)
* Tue Jan 09 2018 coolo@suse.com
  - updated to version 1.16.1
    see installed CHANGELOG.md
    [#]# 1.16.1 (2017-12-12)
    Bugfixes:
    - avoid hanging on complex resolver errors ([#6114](https://github.com/bundler/bundler/issues/6114), @halfbyte)
    - avoid an error when running `bundle update --group` ([#6156](https://github.com/bundler/bundler/issues/6156), @mattbrictson)
    - ensure the resolver prefers non-pre-release gems when possible ([#6181](https://github.com/bundler/bundler/issues/6181), @greysteil)
    - include bundler's gemspec in the built gem ([#6165](https://github.com/bundler/bundler/issues/6165), @dr-itz)
    - ensure locally installed specs are not overriden by those in remote sources during dependency resolution ([#6072](https://github.com/bundler/bundler/issues/6072), @indirect)
    - ensure custom gemfiles are respected in generated binstubs (@pftg)
    - fail gracefully when loading a bundler-generated binstub when `bin/bundle` was not generated by bundler ([#6149](https://github.com/bundler/bundler/issues/6149), @hsbt)
    - allow `bundle init` to be run even when a parent directory contains a gemfile ([#6205](https://github.com/bundler/bundler/issues/6205), @colby-swandale)
* Sun Dec 03 2017 coolo@suse.com
  - updated to version 1.16.0
    see installed CHANGELOG.md
    [#]# 1.16.0 (2017-10-31)
    Bugfixes:
    - avoid new RubyGems warning about unsafe YAML loading (to keep output consistent) (@segiddins)
    - load digest subclasses in a thread-safe manner (@segiddins, @colby-swandale)
    - avoid unusued variable warnings under ruby 2.5 (@amatsuda)
    - fix printing the same message twice in verbose mode ([#6028](https://github.com/bundler/bundler/issues/6028), @akhramov)
    - allow `SignalException`s to bubble up to the interpreter during `bundle exec` ([#6090](https://github.com/bundler/bundler/issues/6090), @dekellum)
    - avoid activating stdlib digest under Ruby 2.5 (@segiddins)
    - prioritise explicitly requested gems in dependency resolution sort order (@segiddins)
    - reduce memory usage during dependency resolution ([#6114](https://github.com/bundler/bundler/issues/6114), @greysteil)
    - ensure that the default bundler gem is not accidentally activated on ruby 2.5 when using local git overrides (@segiddins)
    [#]# 1.16.0.pre.3 (2017-10-04)
    Features:
    - the output from `bundle env` includes more information, particularly both the compiled & loaded versions of OpenSSL (@indirect)
    Bugfixes:
    - fix a bug where installing on FreeBSD would accidentally raise an error (#6013, @olleolleolle)
    - fix a regression in 1.16 where pre-release gems could accidentally be resolved even when the gemfile contained no pre-release requirements (@greysteil)
    - bundler will avoid making unnecessary network requests to fetch dependency data, fixing a regression introduced in 1.16 (@segiddins)
    - the outdated bundler version message is disabled by default until the message has been fine-tuned (#6004, @segiddins)
    [#]# 1.16.0.pre.2 (2017-09-06)
    Bugfixes:
    - handle when a connection is missing a socket when warning about OpenSSL version (@greysteil)
    - the description for the `rake release` task now reflects `$RUBYGEMS_HOST` (@wadetandy)
    - fix a bug where `bundle update` would regress transitive dependencies (@greysteil)
    [#]# 1.16.0.pre.1 (2017-09-04)
    Features:
    - allow using non-branch symbolic refs in a git source (#4845, @segiddins)
    - allow absolute paths in the `cache path` setting (#5627, @mal)
    - gems created via `bundle gem` with rspec have `--require spec_helper` in their `.rspec` file (@koic)
    - `bundle env` includes `Gem.ruby` and the `bundle` binstub shebang when they don't match (#5616, @segiddins)
    - allow passing gem names to `bundle pristine` (@segiddins)
    - `bundle version` and `bundle env` include the commit and build date for the bundler gem (#5049, @segiddins)
    - add the `--shebang` option to `bundle binstubs` (#4070, @segiddins, @Zorbash)
    - gemfiles are `eval`ed one fewer time when running `bundle install` (#4952, #3096, #4417, @segiddins)
    - the `fileutils` gem is now vendored so different versions of the gem can be activated (@segiddins)
    - speed up no-op installations (#5842, @segiddins)
    - default to keeping the lockfile in the default gem template (@deivid-rodriguez)
    - add a special bundler binstub that ensures the correct version of bundler is activated (#5876, @segiddins)
    - speed up dependency resolution and ensure that all resolvable gemfiles can be installed (@segiddins, @greysteil)
    - add a `bundle list` command that prints the gems in use (#4754, @colby-swandale)
    - allow adding credentials to a gem source during deployment when `allow_deployment_source_credential_changes` is set (@adrian-gomez)
    - making an outdated (and insecure) TLS connection to rubygems.org will print a warning (@segiddins)
    Bugfixes:
    - allow configuring a mirror fallback timeout without a trailing slash (#4830, @segiddins)
    - fix handling of mirrors for file: urls that contain upper-case characters (@segiddins)
    - list the correct gem host for `rake release` when `allowed_push_host` has been set (@mdeering)
    - ensure `Bundler.original_env` preserves all env keys that bundler sets (#5700, @segiddins)
    - ensure `bundle pristine` removes files added to a git gem (@segiddins)
    - load plugin files from path gems before gem installation (#5429, @segiddins)
    - ensure gems containing manpages are properly set up (#5730, @segiddins)
    - avoid fetching remote specs when all effected gems are in groups that are not being installed (@segiddins)
    - allow `BUNDLE_GEMFILE` to be a relative path (#5712, @gxespino)
    - show a more helpful error message when a gem fails to install due to a corrupted lockfile (#5846, @segiddins)
    - add a process lock to allow multiple concurrent `bundle install`s (#5851, @stefansedich)
    - ensure that specifications always return an array for `#extensions` (@greysteil)
    - print a helpful error message when using a gem in the Gemfile with an empty name (@colby-swandale)
    - ensure that all gemfiles are included in `bundle env` (@segiddins)
    - use ssl client cert and ca cert settings from gem configuration as fallbacks (@stan3)
    - avoid global namespace pollution when loading gems (#5958, @shyouhei)
    - avoid running a complete re-resolve on `bundle update --bundler` (@segiddins)
    - allow `bundle binstubs --standalone` to work without `path` being set (@colby-swandale)
    - fix support for bundle paths that include jars or wars on jruby (#5975, @torcido)
* Sun Sep 03 2017 coolo@suse.com
  - updated to version 1.15.4
    see installed CHANGELOG.md
    [#]# 1.15.4 (2017-08-19)
    Bugfixes:
    - handle file conflicts gracefully in `bundle gem` (@rafaelfranca, @segiddins)
    - bundler will fail gracefully when the bundle path contains the system path separator (#5485, ajwann)
    - failed gem downloads will be retried consistently across different RubyGems versions (@shayonj)
    - `bundle pristine` will respect build options while re-building native extensions (@NickLaMuro)
* Thu Aug 03 2017 coolo@suse.com
  - updated to version 1.15.3
    see installed CHANGELOG.md
    [#]# 1.15.3 (2017-07-21)
    Bugfixes:
    - ensure that empty strings passed to `bundle config` are serialized & parsed properly (#5881, @segiddins)
    - avoid printing an outdated version warning when running a parseable command (@segiddins)
* Thu Jul 20 2017 mrueckert@suse.de
  - switch to already patched gem file until we figure out how to
    handle the slightly different gem spec --ruby output on TW
* Thu Jul 20 2017 mrueckert@suse.de
  - update to 1.15.2
    - Features:
    - new gemfiles created by bundler will include an explicit
      `github` git source that uses `https` (@segiddins)
    - Bugfixes:
    - inline gemfiles work when `BUNDLE_BIN` is set (#5847,
      @segiddins)
    - avoid using the old dependency API when there are no changes
      to the compact index files (#5373, @greysteil)
    - fail gracefully when the full index serves gemspecs with
      invalid dependencies (#5797, @segiddins)
    - support installing gemfiles that use `eval_gemfile`, `:path`
      gems with relative paths, and `--deployment` simultaneously
      (@NickLaMuro)
    - `bundle config` will print settings as the type they are
      interpreted as (@segiddins)
    - respect the `no_proxy` environment variable when making
      network requests (#5781, @jakauppila)
    - commands invoked with `--verbose` will not have default flags
      printed (@segiddins)
    - allow `bundle viz` to work when another gem has a requirable
      `grapviz` file (#5707, @segiddins)
    - ensure bundler puts activated gems on the `$LOAD_PATH` in a
      consistent order (#5696, @segiddins)
* Fri Jun 16 2017 mrueckert@suse.de
  - update to 1.15.1
    - Bugfixes:
    - `bundle lock --update GEM` will fail gracefully when the gem
      is not in the lockfile (#5693, @segiddins)
    - `bundle init --gemspec` will fail gracefully when the gemspec
      is invalid (@colby-swandale)
    - `bundle install --force` works when the gemfile contains git
      gems (#5678, @segiddins)
    - `bundle env` will print well-formed markdown when there are
      no settings (#5677, @segiddins)
* Tue May 23 2017 coolo@suse.com
  - updated to version 1.15.0
    see installed CHANGELOG.md
    [#]# 1.15.0 (2017-05-19)
    This space intentionally left blank.
    [#]# 1.15.0.pre.4 (2017-05-10)
    Bugfixes:
    - avoid conflicts when `Gem.finish_resolve` is called after the bundle has been set up (@segiddins)
    - ensure that `Gem::Specification.find_by_name` always returns an object that can have `#to_spec` called on it (#5592, @jules2689)
    [#]# 1.15.0.pre.3 (2017-04-30)
    Bugfixes:
    - avoid redundant blank lines in the readme generated by `bundle gem` (@koic)
    - ensure that `open-uri` is not loaded after `bundle exec` (@segiddins)
    - print a helpful error message when an activated default gem conflicts with
      a gem in the gemfile (@segiddins)
    - only shorten `ref` option for git gems when it is a SHA (#5620, @segiddins)
    [#]# 1.15.0.pre.2 (2017-04-23)
    Bugfixes:
    - ensure pre-existing fit caches are updated from remote sources (#5423, @alextaylor000)
    - avoid duplicating specs in the lockfile after updating with the gem uninstalled (#5599, @segiddins)
    - ensure git gems have their extensions available at runtime (#5594, @jules2689, @segiddins)
    [#]# 1.15.0.pre.1 (2017-04-16)
    Features:
    - print a notification when a newer version of bundler is available (#4683, @segiddins)
    - add man pages for all bundler commands (#4988, @feministy)
    - add the `bundle info` command (@fredrb, @colby-swandale)
    - all files created with `bundle gem` comply with the bundler style guide (@zachahn)
    - if installing a gem fails, print out the reason the gem needed to be installed (#5078, @segiddins)
    - allow setting `gem.push_key` to set the key used when running `rake release` (@DTrierweiler)
    - print gem versions that are regressing during `bundle update` in yellow (#5506, @brchristian)
    - avoid printing extraneous dependencies when the resolver encounters a conflict (@segiddins)
    - add the `bundle issue` command that prints instructions for reporting issues (#4871, @jonathanpike)
    - add `--source` and `--group` options to the `bundle inject` command (#5452, @Shekharrajak)
    - add the `bundle add` command to add a gem to the gemfile (@denniss)
    - add the `bundle pristine` command to re-install gems from cached `.gem` files (#4509, @denniss)
    - add a `--parseable` option for `bundle config` (@JuanitoFatas, @colby-swandale)
    Performance:
    - speed up gemfile initialization by storing locked dependencies as a hash (@jules2689)
    - speed up gemfile initialization by making locked dependency comparison lazy, avoiding object allocation (@jules2689)
    - only validate git gems when they are downloaded, instead of every time `Bundler.setup` is run (@segiddins)
    - avoid regenerating the lockfile when nothing has changed (@segiddins)
    - avoid diffing large arrays when no sources in the gemfile have changed (@segiddins)
    - avoid evaluating full gemspecs when running with RubyGems 2.5+ (@segiddins)
    Bugfixes:
    - fix cases where `bundle update` would print a resolver conflict instead of updating the selected gems (#5031, #5095, @segiddins)
    - print out a stack trace after an interrupt when running in debug mode (@segiddins)
    - print out when bundler starts fetching a gem from a remote server (@segiddins)
    - fix `bundle gem` failing when `git` is unavailable (#5458, @Shekharrajak, @colby-swandale)
    - suggest the appropriate command to unfreeze a bundle (#5009, @denniss)
    - ensure nested calls to `bundle exec` resolve default gems correctly (#5500, @segiddins)
    - ensure that a plugin failing to install doesn't uninstall other plugins (@kerrizor, @roseaboveit)
    - ensure `socket` is required before being referenced (#5533, @rafaelfranca)
    - allow running `bundle outdated` when gems aren't installed locally (#5553, @segiddins)
    - print a helpful error when `bundle exec`ing to a gem that isn't included in the bundle (#5487, @segiddins)
    - print an error message when a non-git gem is given a `branch` option (#5530, @colby-swandale)
    - allow interrupts to exit the process after gems have been installed (@segiddins)
    - print the underlying error when downloading gem metadata fails (#5579, @segiddins)
    - avoid deadlocking when installing with a lockfile that is missing dependencies (#5378, #5480, #5519, #5526, #5529, #5549, #5572, @segiddins)
* Thu Mar 16 2017 mrueckert@suse.de
  - fix gemspec_remove_pem.patch
* Thu Mar 16 2017 coolo@suse.com
  - updated to version 1.14.6
    see installed CHANGELOG.md
    [#]# 1.14.6 (2017-03-03)
    Bugfixes:
    - avoid undefined constant `Bundler::Plugin::API::Source` exception (#5409, @segiddins)
    - avoid incorrect warnings about needing to enable `specific_platform` (@segiddins)
    - fail gracefully when the compact index does not send an ETag (#5463, @olleolleolle)
    - ensure `bundle outdated --local` shows all outdated gems (#5430, @denniss)
    - fix a case where ruby version requirements could lead to incorrect resolver conflicts (#5425, @segiddins)
    [#]# 1.14.5 (2017-02-22)
    Bugfixes:
    - avoid loading all unused gemspecs during `bundle exec` on RubyGems 2.3+ (@segiddins)
    - improve resolver performance when dependencies have zero or one total possibilities ignoring requirements (#5444, #5457, @segiddins)
    - enable compact index when OpenSSL FIPS mode is enabled but not active (#5433, @wjordan)
    - use github username instead of git name for the github url in `bundle gem` (#5438, @danielpclark)
    - avoid a TypeError on RubyGems 2.6.8 when no build settings are set for native extensions (@okkez)
    - fail gracefully when the dependency api is missing runtime dependencies for a gem (@segiddins)
    - handle when a platform-specific gem has more dependencies than the ruby platform version (#5339, #5426, @segiddins)
    - allow running bundler on a machine with no home directory where the temporary directory is not writable (#5371, @segiddins)
    - avoid gem version conflicts on openssl using Ruby 2.5 (#5235, @rhenium)
    - fail when installing in frozen mode and the dependencies for `gemspec` gems have changed without the lockfile being updated (#5264, @segiddins)
* Tue Feb 14 2017 coolo@suse.com
  - updated to version 1.14.4
    see installed CHANGELOG.md
    [#]# 1.14.4 (2017-02-12)
    Bugfixes:
    - fail gracefully when attempting to overwrite an existing directory with `bundle gem` (#5358, @nodo)
    - fix a resolver bug that would cause bundler to report conflicts that it could resolve (#5359, #5362, @segiddins)
    - set native extension build arguments for git gems (#5401, @segiddins)
    - fix the suggested `bundle lock` command printed when a dependency is unused on any platform (@5t111111)
    - ensure the version passed to `ruby` in the Gemfile is valid during Gemfile parsing (#5380, @segiddins)
    - show `bundle inject` usage when too many arguments are passed (#5384, @Shekharrajak)
    - stop `bundle show --outdated` from implicitly running `bundle update` (#5375, @colby-swandale)
    - allow the temporary home directory fallback to work for multiple users (@svoop)
    [#]# 1.14.3 (2017-01-24)
    Bugfixes:
    - fix the resolver attemting to activate ruby-platform gems when the bundle is only for other platforms (#5349, #5356, @segiddins)
    - avoid re-resolving a locked gemfile that uses `gemspec` and includes development dependencies (#5349, @segiddins)
    [#]# 1.14.2 (2017-01-22)
    Bugfixes:
    - fix using `force_ruby_platform` on windows (#5344, @segiddins)
    - fix an incorrect version conflict error when using `gemspec` on multiple platforms (#5340, @segiddins)
    [#]# 1.14.1 (2017-01-21)
    Bugfixes:
    - work around a ruby 2.2.2 bug that caused a stack consistency error during installation (#5342, @segiddins)
    [#]# 1.14.0 (2017-01-20)
    Bugfixes:
    - ensure `Settings::Mirror` is autoloaded under the `Settings` namespace
      (#5238, @segiddins)
    - fix `bundler/inline` when `BUNDLE_GEMFILE=""` (#5079, @segiddins)
    [#]# 1.14.0.pre.2 (2017-01-11)
    Bugfixes:
    - allow not selecting a gem when running `bundle open` (#5301, @segiddins)
    - support installing gems from git branches that contain shell metacharacters (#5295, @segiddins)
    - fix a resolver error that could leave dependencies unresolved (#5294, @segiddins)
    - fix a stack overflow error when invoking commands (#5296, @segiddins)
    [#]# 1.14.0.pre.1 (2016-12-29)
    Features:
    - `bundle doctor` first runs `bundle check` (@segiddins)
    - the bundler trampoline is automatically enabled when the target version is greater than bundler 2 (@segiddins)
    - gem checksums returned by rubygems.org are validated when installing gems (#4464, @segiddins)
    - use the git username as a github username when running `bundle gem` (@JuanitoFatas)
    - show more context when the resolver conflicts on required ruby and rubygems versions (@segiddins)
    - improve platform support by allowing bundler to pick the best platform match during dependency resolution, enabled with the `specific_platform` setting (#4295, #4896, @segiddins)
    - always prompt the user for a password when using `sudo` (#3006, @segiddins)
    - support running without a home directory (#4778, @segiddins)
    - print a warning when the gemfile uses a platform conditional that will exclude the gem from all lockfile platforms (@segiddins)
    - add the `force_ruby_platform` setting to force bundler to install ruby-platform gems, even on other platforms (#4813, @segiddins)
    - add conservative update options to `bundle lock` (#4912, @chrismo)
    - improve `bundle outdated` output to group gems by group (@ryanfox1985)
    - add conservative update options to `bundle update` (#5065, #5076, @chrismo)
    - print the output of `bundle env` as github-flavored markdown, making it easier to preserve formatting when copy-pasting into a new issue (@segiddins)
    - configure the persistence file when using `bundle gem` with `rspec` (@segiddins)
    - add support for the `ruby_25` gemfile filter (@amatsuda)
    - when installing with a lockfile that is missing dependencies, allow installation to proceed (but without parallelism) (@segiddins)
    Performance:
    - improve `require "bundler"` performance by ~5x (@segiddins)
    - allow install gems in parallel when running on rubygems 2+
    Bugfixes:
    - config files with CRLF line endings can be read (#4435, @segiddins)
    - `bundle lock` activates gems for the current platform even if they were activated under a different platform for a separate dependency (#4896, @segiddins)
    - running `bundle env` in a directory without a gemfile no longer crashes (@segiddins)
    - fail gracefully when attempting to use a source with an unknown URI scheme (#4953, @segiddins)
    - store paths in the lockfile relative to the root gemfile directory when using `eval_gemfile` (#4966, @segiddins)
    - `bundle lock` will not update without the `--update` flag (#4957, @segiddins)
    - the `console` binstub generated by `bundle gem` will load `.irbrc` files (@mattbrictson)
    - print friendly filesystem access errors in the new index (@segiddins)
    - print a helpful error when running out of memory on jruby (#4673, @segiddins)
    - load all rubygems plugins when installing gems (#2824, @segiddins)
    - `bundle clean --dry-run` prints the list of gems without the `--force` option when no path is set (#5027, @hmistry)
    - local installs no longer print "this gem may have been yanked" (#5022, @hmistry)
    - avoid leaking `which` output when running `bundle doctor` (@colby-swandale)
    - print a warning when attempting to `bundle exec` an empty program (#5084, @bronzdoc)
    - ensure `bundle outdated` lists all outdated gems (#4979, @chrismo)
    - fail gracefully when attempting to `bundle gem` with an invalid constant name (#5185, @segiddins)
    - allow `bundler/inline` to work in a directory that contains a gemfile (#5117, @colby-swandale)
    - ensure that the new index is thread-safe, allowing installation on rbx (#5142, @segiddins)
    - remove deprecated `rspec` syntax in `bundle gem` output (@gearnode)
    - fail gracefully when any system error is encountered when touching the filesystem (#5134, @segiddins)
    - fix compatibility with a machine running with FIPS mode enabled (#4989, @segiddins)
    - fix `bundle lock --add-platform ruby` (#5230, @segiddins)
    - print gem post-install messages when running `bundle update` (@smathy)
    - ensure errors due to a retries are all separated by a newline (@segiddins)
    - print out the bundle path in gem not found errors (#4854, @diegosteiner)
    - fail gracefully when creating threads fails (@segiddins)
    - avoid downloading metadata for gems that are only development dependencies (@Paxa)
    [#]# 1.13.7 (2016-12-25)
    Features:
    - add support for the `ruby_24` gemfile filter (#5281, @amatsuda)
* Sun Nov 13 2016 coolo@suse.com
  - update patch
* Sat Oct 29 2016 coolo@suse.com
  - updated to version 1.13.6
    see installed CHANGELOG.md
    [#]# 1.13.6 (2016-10-22)
    Bugfixes:
    - make the `gem` method public again, fixing a regression in 1.13.4 (#5102, @segiddins)
    [#]# 1.13.5 (2016-10-15)
    Bugfixes:
    - Ensure a locked pre-release spec can always be re-resolved (#5089, @segiddins)
    [#]# 1.13.4 (2016-10-11)
    Bugfixes:
    - stop printing warning when compact index versions file is rewritten (#5064, @indirect)
    - fix `parent directory is world writable but not sticky` error on install (#5043, @indirect)
    - fix for `uninitialized constant Bundler::Plugin::API::Source` error (#5010, @hsbt, @aycabta)
    - make `update` options for major, minor, and patch updates consistent (#4934, @chrismo)
    [#]# 1.13.3 (2016-10-10)
    Bugfixes:
    - add support for weak etags to the new index (@segiddins)
* Sat Oct 08 2016 coolo@suse.com
  - updated to version 1.13.2
    see installed CHANGELOG.md
    [#]# 1.13.2 (2016-09-30)
    Bugfixes:
    - allow `Settings` to be initialized without a root directory (@m1k3)
    - allow specifying ruby engines in the gemfile as a symbol (#4919, @JuanitoFatas)
    - avoid an execption when using `bundler/deployment` with Vlad (@srbaker)
    - ensure redefined methods have the same visibility as the one they're replacing, fixing `Kernel.require` failing on JRuby (#4975, @segiddins)
    - ensure that Bundler won't complain about a corrupt lockfile when no lockfile exists when using `gemspec` in the Gemfile (#5006, @segiddins)
    - fail gracefully when parsing the metadata for a gemspec from the compact index fails (@segiddins)
    - fix invoking bundler with binstubs generated by RubyGems 2.6.2+ (#4974, @chrismo)
    Performance:
    - avoid parsing the lockfile twice when evaluating gemfiles (@segiddins)
    [#]# 1.13.1 (2016-09-13)
    Bugfixes:
    - ensure that `Gem::Source` is available, fixing several exceptions (#4944, @dekellum)
    - ensure that dependency resolution works when multiple gems have the same dependency (#4961, @segiddins)
    [#]# 1.13.0 (2016-09-05)
    This space deliberately left blank.
    [#]# 1.13.0.rc.2 (2016-08-21)
    Features:
    - add setting `exec_disable_load` to force `exec` to spawn a new Ruby process (@segiddins)
    - add `doctor` command to help with issues like unlinked compiled gems (#4765, @mistydemeo)
    - rework the `update` command, providing fine-grained control via flags (#4676, @chrismo)
    - add URI to http response output in debug mode (#4808, @NickLaMuro)
    - add manpage for `binstubs` command (#4847, @Zorbash)
    - support `mirror` settings for sources by hostname, not only full URL (@opiethehokie)
    - print gem installation errors after other install output (#4834, @segiddins)
    - add `lock --remove-platform` flag to remove platforms from the lock (#4877, @segiddins)
    - add `only_update_to_newer_versions` setting to prevent downgrades during `update` (@segiddins)
    - expanded expirimental plugin support to include hooks and sources (@asutoshpalai)
    Bugfixes:
    - retry gem downloads (#4846, @jkeiser)
    - improve the CompactIndex to handle capitalized legacy gems (#4867, @segiddins)
    - re-use persistent HTTP connections for CompactIndex (@NickLaMuro)
    - respect `required_ruby_version` when Gemfile contains `ruby` version (@indirect)
    - allow `rake release` to sign git tags (#4743, @eagletmt)
    - set process titles when using `#load` during `exec` (@yob)
    - recognize JRuby shebangs for using `#load` during `exec` (@ojab)
    - handle world-writable home directories (#4726, @allenzhao)
    - support multi-platform gems via the `gemspec` Gemfile method (#4798, @segiddins)
    - print dots correctly for CompactIndex fetcher (@NickLaMuro)
    - set an `open_timeout` when requesting gem data via HTTP (@NickLaMuro)
    - rename the BUNDLE\_ORIG\_ENV variable so it no longer shows up in `config` (@indirect)
    - show help only when `-h` or `--help` is passed to Bundler, not to `exec` (#4801, @segiddins)
    - handle symlinks to binstubs created by `--standalone` (#4782, @terinjokes)
    [#]# 1.13.0.rc.1 (2016-06-27)
    Features:
    - when `bundle config major_deprecations` or `BUNDLE_MAJOR_DEPRECATIONS` is set, deprecation warnings for bundler 2 will be printed (@segiddins)
    - when running with `--verbose`, bundler will print the reason it is re-resolving a gemfile (@segiddins)
    Bugfixes:
    - fix support for running RubyGems 1.x on Ruby 2.3 (#4698, @segiddins)
    - fix bundle exec'ing to a ruby file when gems are installed into a path (#4592, @chrismo)
    - when multiple specs in a bundle have the same executable, prefer activating the one from the requested gem (#4705, @segiddins)
    - stop changing the load path to require the vendored postit when trampolining (@segiddins)
    - ensure relative paths are properly printed after completing an installation (@jenseng)
    - fix re-resolving when there are multiple unchanged path sources (@segiddins)
    - de-init submodules when running git 2.9 and requesting a git gem without submodules (@segiddins)
    [#]# 1.13.0.pre.1 (2016-06-20)
    Performance:
    - speed up gemfile resolution during `bundle install` by between 4x-100x (#4376, @segiddins)
    - generally reduce object allocations when using bundler (@segiddins)
    - speed up bin generation for path gems with many files (#2846, @segiddins)
    - fix detecting path spec changes to avoid re-resolving unnecessarily (@jrafanie)
    Features:
    - automatically trampoline to the bundler version locked in the lockfile, only updating to the running version on `bundle update --bundler` (@segiddins)
    - laying the groundwork for plugin support, which is currently unsuppported, undocumented, disabled by default, and liable to change without notice (@asutoshpalai)
    - allow `bundle viz --without` to accept multiple `:`-delimited groups (@mobilutz)
    - support for RubyGems 2.6.4 (#4368, @segiddins, @RochesterinNYC)
    - colorize updated gem versions (#4334, @bronzdoc)
    - add the `--standalone` flag to `bundle binstubs` (#4594, @b-ggs)
    - update the `bundle gem` CoC to contributor covenant v1.4 (@cllns)
    - use a custom YAML serializer to make config file consistent (@segiddins)
    - filter credentials from error messages (bundler/bundler-features#111, @RochesterinNYC, @sandlerr)
    - support relative paths used inside a nested invocation of `eval_gemfile` (#4584, @RochesterinNYC)
    - fail gracefully when attempting to install a yanked gem (#4344, @allenzhao)
    - automatically install an inline gemfile when gems are missing locally (@segiddins)
    - allow conflicts for gems resolved via `gemspec` (@segiddins)
    - add `--add-platform` option to `bundle lock` (@segiddins)
    - fail gracefully when a resolved spec's `required_ruby_version` or `required_rubygems_version` is incompatible (@segiddins)
    Bugfixes:
    - implicitly unlock the resolved ruby version when the declared requirements in the gemfile are incompatible with the locked version (#4595, #4627, @segiddins)
    - add support for quoted paths in `$PATH` (#4323, @segiddins)
    - check out missing git repos that are not being installed (#3981, @asutoshpalai)
    - write `bundler/setup.rb` to a consistent path (@glennpratt)
    - open editor in `bundle open` with a clean environment (@sj26)
    - resolve infinitely recursive copy when running `bundle package --all` with a `gemspec` in the gemfile (#4392, #4430, @RochesterinNYC)
    - fail gracefully when encountering an `Errno::ENOTSUP` (#4394, @segiddins)
    - fail gracefully when encountering an `Errno::EHOSTUNREACH` (#4642, @allenzhao)
    - fix loading config files with very long values (#4370, @segiddins)
    - only show potential updates for gemfile platforms in `bundle outdated` (#4450, @RochesterinNYC)
    - allow running `bundle install --deployment` after `bundle package --all` with path gems (#2175, @allenzhao)
    - add support for patchlevels in ruby versions in the gemfile and gemspecs (#4593, @chalkos)
* Thu May 26 2016 coolo@suse.com
  - updated to version 1.12.5
    see installed CHANGELOG.md
    [#]# 1.12.5 (2016-05-25)
    Bugfixes:
    - only take over `--help` on `bundle exec` when the first two arguments are `exec` and `--help` (#4596, @segiddins)
    - don't require `require: true` dependencies that are excluded via `env` or `install_if` (@BrianHawley)
    - reduce the number of threads used simultaneously by bundler (#4367, @will-in-wi)
* Wed May 25 2016 coolo@suse.com
  - simplify gemspec_remove_pem.patch
* Sat May 21 2016 coolo@suse.com
  - updated to version 1.12.4
    see installed CHANGELOG.md
    [#]# 1.12.4 (2016-05-16)
    Bugfixes:
    - ensure concurrent use of the new index can't corrupt the cache (#4519, @domcleal)
    - allow missing rubygems credentials when pushing a gem with a custom host (#4437, @Cohen-Carlisle)
    - fix installing built-in specs with `--standalone` (#4557, @segiddins)
    - fix `bundle show` when a gem has a prerelease version that includes a `-` (#4385, @segiddins)
    [#]# 1.12.3 (2016-05-06)
    Bugfixes:
    - fix uncoditionally writing `.bundle/config` when running `bundle install` (@segiddins)
    - fall back to the dependency API and the full index when the home directory is not writable (@segiddins)
    [#]# 1.12.2 (2016-05-04)
    Bugfixes:
    - fix modifying a frozen string when the resolver conflicts on dependencies with requirements (#4520, @grzuy)
    - fix `bundle exec foo --help` not showing the invoked command's help (#4480, @b-ggs)
    [#]# 1.12.1 (2016-04-30)
    Bugfixes:
    - automatically fallback when the new index has a checksum mismatch instead of erroring (@segiddins)
    - fix computation of new index file local checksums on Windows (#4472, @mwrock)
    - properly handle certain resolver backtracking cases without erroring (@segiddins, #4484)
    - ensure the `$LOAD_PATH` contains specs' load paths in the correct order (@segiddins, #4482)
    [#]# 1.12.0 (2016-04-28)
    This space intentionally left blank.
    [#]# 1.12.0.rc.4 (2016-04-21)
    Bugfixes:
    - don't fail when `bundle outdated` is run with flags and the lockfile contains non-semver versions (#4438, @RochesterinNYC)
    [#]# 1.12.0.rc.3 (2016-04-19)
    Bugfixes:
    - don't allow new attributes to dirty a lockfile when running `bundle exec`, `-rbundler/setup`, or `bundle check` (@segiddins)
    [#]# 1.12.0.rc.2 (2016-04-15)
    Features:
    - `bundle outdated` handles all combinations of `--major`, `--minor`, and `--patch` (#4396, @RochesterinNYC)
    Bugfixes:
    - prevent endless recursive copy for `bundle package --all` (#4392, @RochesterinNYC)
    - allow executables that are `load`ed to exit non-0 via an `at_exit` hook when invoked by `bundle exec` (@segiddins)
    - nested invocations of `bundle exec` properly preserve the `$PATH` and `$GEM_PATH` environment variables (@segiddins)
    [#]# 1.12.0.rc (2016-03-13)
    Performance:
    - Download gem metadata from globally distributed CDN endpoints (#4358, @segiddins)
    Bugfixes:
    - handle Ruby pre-releases built from source (#4324, @RochesterinNYC)
    - support binstubs from RubyGems 2.6 (#4341, @segiddins)
    - handle quotes present in in PATH (#4326, @segiddins)
    [#]# 1.12.0.pre.2 (2016-02-26)
    Performance:
    - speed up `bundle exec` by `load`ing the executable whenever possible, saving roughly .2 seconds per invocation (@segiddins)
    Features:
    - add a `--patch` flag for `bundle outdated` (@RochesterinNYC)
    - add `Bundler.clean_env` and `Bundler.original_env` (#4232, @njam)
    - add `--frozen` support to `bundle package` (#3356, @RochesterinNYC)
    Bugfixes:
    - place bundler loaded gems after `-I` and `RUBYLIB` (@Elffers)
    - give a better error message when filesystem access raises an `EPROTO` error (#3581, #3932, #4163, @RochesterinNYC)
    - give a better error message when both `--deployment` and `--system` are used together (@RochesterinNYC)
    - fix `$PATH` being preserved for use in `Bundler.with_clean_env` (#4251, @segiddins, @njam)
    - give a better error message when running `bundle outdated` in frozen mode (#4287, @RochesterinNYC)
    - handle when `http_proxy` is set to `:no_proxy` in the rubygems configuration (#4294, @segiddins)
    - give a better error message when authentication details aren't properly escaped (#4288, @RochesterinNYC)
    - fix `bundle outdated --minor` to only report updates that match the current minor version (@RochesterinNYC)
    - fix extra dependencies being resolved unnecessarily (#4276, @segiddins)
    - give a better error message when missing specs due to platform mis-matches (#4259, @RochesterinNYC)
    - skip rebuilding extensions for git gems if they are already built (#4082, @csfrancis, @indirect, @segiddins)
    - fix `bundle install` not installing when the `no_install` setting is set (#3966, @chulkilee, @segiddins)
    [#]# 1.12.0.pre.1 (2016-02-09)
    Performance:
    - speed up `bundle install` and `bundle update` by using the new compact gem index (@segiddins, @fotanus, @indirect)
    - speed up `bundle exec` by avoiding loading the gemfile twice (#2951, #2952, @segiddins)
    Features:
    - add support for using version operators to specify ruby versions in the Gemfile (@jtarchie)
    - redirect `--help` flag for plugins to that plugin's man page (@RochesterinNYC)
    - support probing a mirror with a fallback timeout (#4128, @pcarranza)
    - add `--full-index` option to `bundle lock` (@segiddins)
    - support running with frozen string literals (@deepj, @segiddins)
    - add `--major` and `--minor` options to `bundle outdated` (#3805, @cirdes)
    - allow passing a custom `ui` to `bundler/inline` (@lamont-granquist)
    - add support for ruby 2.4 (#4266, @segiddins)
    - add `bundle outdated --parseable` for machine-readable output (@RochesterinNYC)
    Bugfixes:
    - fix `bundle package --all` recursing endlessly (#4158, @RochesterinNYC)
    - fail fast on more errors when fetching remote resources (#4154, @RochesterinNYC)
    - give a better error message when a given git commit can't be found (#4140, @doy)
    - give a better error message when `bundle clean` doesn't have sufficient permissions (#4170, @RochesterinNYC)
    - give a better error message when reading a bundler config file fails (@segiddins)
    - restrict platforms when referencing a `gemspec` in the `Gemfile` to those defined in the gemspec (#4102, #4150, @smellsblue)
    - fix `bundle gem` with minitest to use the correct rake task (@kotoshenya)
    - give a better error message when ssl isn't available (#4054, @RochesterinNYC)
    - print the original `require` error when `Bundler.require` fails (#4182, @RochesterinNYC)
    - give a better error message when certain resources are temporarily unavailable (#4183, @RochesterinNYC)
    - fix returning case-sensitive gem mirror URIs on ruby 2.3 (@segiddins)
    - ignore colorized output from `git` when determining the current branch (#4056, @agis-)
    - fix storing the shared gems config option as a boolean (@vassilevsky)
    - add support for running `bundle gem --exe` instead of using the `--bin` option (@christhekeele)
    - fix `exec`-ing with 0 args in a directory with spaces (#4230, @segiddins)
    - avoid installing extraneous gems when resolving to an older version of a spec (#4101, #4198, @segiddins)
    - ensure paths resolved when parsing a gemfile are relative to that file (#3349, @dtognazzini)
    - give a better error message when encountering an invalid gemspec (#4248, #4275, @RochesterinNYC)
    - preserve the original `PATH` in `Bundler.with_clean_env` (#4251, @segiddins)
    - ensure standalone file paths are relative to the project root (#4144, @glennpratt)
* Wed Mar 23 2016 olaf@aepfle.de
  - Force fixed timestamps for patched gems (bsc#916047)
* Tue Jan 05 2016 mrueckert@suse.de
  - update to version 1.11.2
    - _really_ stop calling `required_ruby_version` on nil
      @specifications (#4147, @indirect)
  - update to version 1.11.1
    - lazy-load Psych, again (#4149, @indirect)
    - allow gemspec gems on other platforms (#4150, @indirect)
    - fix --no-coc and --no-mit flags on `gem` (#4148,
      @RochesterinNYC)
    - stop calling `required_ruby_version` on nil @specifications
      (#4147, @indirect)
  - update to version 1.11.0
    - fail gracefully when trying to execute a non-executable file
      (#4081, @fotanus)
    - fix a crash when pushing a gem via `rake release` (@segiddins)
    - actual Gemfile and lockfile filenames are used in messages
      (#3672, @segiddins)
    - the git remote for `rake release` is now customizable
      (@skateman)
    - file access permissions errors are now much more friendly
      (#3703, #3735, #3858, #3988, #4009 @repinel, @Elffers,
      @segiddins, @agis-)
    - add support for showing help for plugin commands (@tf)
    - send `X-Gemfile-Source` header to source mirrors (@agis-)
    - show what version upstream dependencies were resolved to in
      conflict messages (@segiddins)
    - add support for using bundler setting to add private access
      credentials for git sources (@frsyuki)
    - take into consideration HTTP proxy settings in `.gemrc`
      (@PG-kura)
    - allow specifying a gem host to push to in the `GEM_HOST`
      environment variable (@pmenglund)
    - when gempec `required_ruby_version` is available and the
      Gemfile specifies a ruby version, resolve for the given ruby
      version (@segiddins)
    - allow setting a `silence_root_warning` setting to silence the
      warning when `bundle install` is run as root (@blackxored)
    - update the `bundle gem` code of conduct template to Contributor
      Covenant v1.3.0 (@CoralineAda)
    - add support for specifying gems to update when running `bundle
      lock` via `--update gem1 gem2` (@JuanitoFatas)
    - added support for MRI 2.3 (@amatsuda)
    - show a helpful message when requiring a file in `bundler
      require` fails (#3960, @agis-)
    - include git revision hash when printing a git source (#3433,
      @agis-)
    - improve hint when a resolution conflict occurs (@seanlinsley)
    - show a friendly error when a git ref is not found (#3879,
      @agis-)
    - improve error message when sources are not absolute URIs
      (#3925, @agis-)
    - add `pkg` to rake's clobber list (#3676, @jasonkarns)
    - retry fetching specs when fetching version metadata fails
      (@jingweno)
    - avoid showing bundler version warning messages twice (@fotanus)
    - fix running `bundle check` with `--path` when the gems are only
      installed globally (@akihiro17)
    - fix `bin/setup` from `bundle gem` assuming `bash` is in `/bin`
    - fail more gracefully when an HTTP remote is unreachable (#3765,
      @steverob)
    - fix a warning running `bundle exec` on jruby 9.0.0.0
      (@deivid-rodriguez, @mastfish)
    - fix the `bundle gem` readme when no tests are generated
      (@roseweixel)
    - the dependencies on test gems in `bundle gem` are now locked to
      major versions (#3811, @indirect)
    - fix the paths for native extensions generated by `--standalone`
      (#3813, @AlexanderPavlenko)
    - fix trying to cache a gem that has no source (@EduardoBautista)
    - fix `--source` option to `bundle update` causing incorrect gem
      unlocking (#3759, #3761, @neoeno)
    - fix handling an empty `BUNDLE_GEMFILE` environment variables
      (#3678, @agis-)
    - avoid cleaning up gem extension directory in `bundle clean`
      (@Sirupsen)
    - fix the `ssl_verify_mode` setting not being treated as a number
      (@goughy000)
    - fix not retrying on zlib errors (#4047, @andremedeiros)
    - fix a warning being shown for using `URI.encode`
      (@EduardoBautista)
    - fix handling of fatal HTTP errors (#3830, @indirect)
    - ensure all `sudo` access is done in a thread-safe manner
      (#3910, @agis-)
    - fix caching gems with a path with the same prefix as the
      bundled application (@indirect)
    - fix showing gemspec validation errors on `bundle exec` (#3895,
      @agis-)
    - distinguish Gemfile syntax and evaluation errors (#3783,
      @agis-)
    - fix nested Gemfile sources not restoring the previous source
      (#3974, @agis-)
    - fix the `RUBYLIB` environment variable not being cleaned
      (#3982, @agis-)
    - fix handling a dependency missing from `Gemfile.lock` so
      parallel installation does not deadlock (#4012, @lukaso)
    - also print gemspecs in `bundle env` output (@agis-)
    - fix handling when a `path` source does not have a gemspec but a
      lockfile says there is (#4004, @segiddins)
    - show a warning when the `RUBYGEMS_GEMDEPS` environment variable
      is set (#3656, @agis-)
    - fix handling invalid RubyGems configuration files (#4042,
      @agis-)
    - fix `bundle console` falling back to `irb` when the preferred
      console is unavailable (@felixbuenemann)
    - restrict platforms when referencing a `gemspec` in the
      `Gemfile` to those defined in the gemspec (#4102, @smellsblue)
    - speed up dependency resolution in pathological cases by 25x
      (#3803, @segiddins)
    - drop string allocations when searching for gems (@jrafanie)
  - refreshed gemspec_remove_pem.patch
* Wed Aug 12 2015 mrueckert@suse.de
  - update to 1.10.6
    - only warn on invalid gemspecs (@indirect)
    - fix installing dependencies in the correct order (#3799,
      @pducks32)
    - fix sorting of mixed DependencyLists (#3762, @tony-spataro-rs)
    - fix `install_if` conditionals when using the block form
      (@danieltdt)
* Fri Jun 26 2015 mrueckert@suse.de
  - update to 1.10.5
    - don't add or update BUNDLED WITH during `install` with no
      changes (@segiddins)
    - fix sorting of mixed DependencyLists with RubyGems >= 2.23
      (#3762, @tony-spataro-rs)
    - speed up resolver for path and git gems (@segiddins)
    - fix `install --force` to not reinstall Bundler (#3743,
      @karlo57)
  - changes from 1.10.4
    - don't add BUNDLED WITH to the lock when Spring runs `check`
      over and over (@indirect)
    - display "with native extensions" log output correctly
      (@ivantsepp)
    - alias `i` to `install`, `c` to `check`, and `e` to `exec`
      (@indirect)
* Fri Jun 05 2015 mrueckert@suse.de
  - update to 1.10.3
    - allow missing gemspec files when validating path and git gems
      (#3686, #3698, @segiddins)
    - fix regression in `rake install` (#3701, #3705, @segiddins)
    - fix regression when calling `gem` with `bundle exec` or
      `-rbundler/setup` (#3699, @segiddins)
    - fix `bundler/inline` requiring a newly-installed gem (#3693,
      @indirect, @segiddins)
  - changes from 1.10.2 (2015-05-29)
    - fix regression in `bundle update GEM` performance introduced in
      1.10.0 (#3687, @segiddins)
  - changes from 1.10.1 (2015-05-28)
    - silence ruby warning when running CLI commands (@segiddins)
    - validate gemspecs in non-packaging mode (#3681, @segiddins)
    - ensure the same chdir mutex as RubyGems is used (#3680, @segiddins)
  - changes from 1.10.0 (2015-05-28)
    - dramatically speed up resolving some slow Gemfiles (#3635,
      @segiddins)
    - track CI platforms running Bundler (#3646, @fotanus)
    - allow `viz` to work with prereleases (#3621, #3217, @aprescott)
    - validate gemspecs used in path and git gems (#3639, @segiddins,
      @indirect)
    - stop printing config warnings when config is unchanged (#3649,
      @fotanus, @indirect)
    - make BUNDLED WITH backwards compatible (#3623, @segiddins)
    - always clean up tmp dirs (#3277, @hone, @indirect, @segiddins)
    - support gem extensions built into any directory on RubyGems
      2.2+ (#3582, @voxik)
    - add 'bundler/inline' which provides a `gemfile` method (#3440,
      @segiddins)
    - improved error reports for Gemfile errors (#3480, @segiddins)
    - `lock` command (#3437, @segiddins)
    - add `ignore_messages` config to suppress post-install text
      (#3510, @pducks32)
    - improve `gem` minitest template (#3513, #3515, @arthurnn)
    - add `install --force` to re-install installed gems (#3519,
      @segiddins)
    - show more `outdated` information, including groups (@smlance,
      @indirect)
    - add optional groups to the Gemfile (#3531, @jhass)
    - accept glob argument to `gemspec` in Gemfile (#3464, @pjump)
    - make timeouts and retries configurable via `config` (#3601,
      @pducks32)
    - add `install_if` Gemfile method for conditional installs
      (#3611, @segiddins)
    - standalone mode now uses builtin gems correctly (#3610,
      @segiddins)
    - fix `rake spec:deps` on MinGW Ruby 2.0+ (#3487, @marutosi)
    - remember all y/n answers when generating gems (#3579,
      @pducks32)
    - use RubyGems stub specifications when possible (#3580,
      @segiddins)
    - deprecated the (never enabled) `bundle_ruby` binary (@smlance)
  - refreshed gemspec_remove_pem.patch to apply cleanly again
* Mon May 18 2015 mrueckert@suse.de
  - update to 1.9.9
    - read mirror and credential settings from older versions (#3557,
      @Strech)
    - fix regression in sudo mode introduced by 1.9.7 (#3642,
      @segiddins)
    - always clean up tmp dirs (#3277, @hone, @indirect, @segiddins)
    - use RubyGems spec stubs if available (@segiddins)
    - allow creating gems with names containing two dashes (#3483,
      @janlelis)
    - allow creating gems with names extending constants (#3603,
      @amatsuda)
    - respect Gemfile sources when installing a gem present in two
      sources (#3585, @tmoore)
  - refresh gemspec_remove_pem.patch to apply cleanly again and
    package the series file
* Thu Apr 23 2015 coolo@suse.com
  - updated to version 1.9.4
    see installed CHANGELOG.md
    [#]# 1.9.4 (2015-04-13)
    Bugfixes:
    - fix regression in installing x86 and universal gems (#3565, @jdmundrawala)
    - improve error when gems are missing (#3564, @sealocal)
* Mon Apr 13 2015 coolo@suse.com
  - updated to version 1.9.3
    Bugfixes:
    - handle removal of `specs` from rubygems/rubygems@620910 (#3558, @indirect)
    - install 'universal' gems on Windows (#3066, @jdmundrawala)
    - stop passing --local during `rake install` task (#3236, @indirect)
    - guard against all possible accidental public gem pushes (#3533, @indirect)
* Sun Apr 12 2015 coolo@suse.com
  - updated to version 1.9.2
    Bugfixes:
    - ensure gem executables are executable (#3517, #3511, @indirect)
    - fix warnings in Molinillo (#3516, @segiddins)
    - ensure duplicate dependencies do not propagate (#3522, @segiddins)
    - keep gems locked when updating another gem from the same source (#3250, @indirect)
    - resolve race that could build gems without saved arguments (#3404, @indirect)
    [#]# 1.9.1 (2015-03-21)
    Bugfixes:
    - avoid exception in 'bundler/gem_tasks' (#3492, @segiddins)
    [#]# 1.9.0 (2015-03-20)
    Bugfixes:
    - make Bundler.which stop finding directories (@nohoho)
    - handle Bundler prereleases correctly (#3470, @segiddins)
* Tue Mar 17 2015 jmassaguerpla@suse.com
  - Remove Certificate Authority files. For security reasons we don't
    want to distribute them, otherwise if the CA gets compromised,
    revoking it can be difficult if CA pem files are distributed in
    different RPMs.
  - added gemspec_remove_pem.patch
* Mon Mar 16 2015 coolo@suse.com
  - updated to version 1.8.5
    Bugfixes:
    - remove MIT license from gemspec when removing license file (@indirect)
    - respect 'no' immediately as well as saving it in `gem` config (@kirs)
* Fri Mar 06 2015 coolo@suse.com
  - updated to version 1.8.4
    Bugfixes:
    - document --all-platforms option (#3449, @moeffju)
    - find gems from all sources on exec after install (#3450, @TimMoore)
* Thu Feb 26 2015 coolo@suse.com
  - updated to version 1.8.3
    Bugfixes:
    - handle boolean values for gem settings (@EduardoBautista)
    - stop always looking for updated `path` gems (#3414, #3417, #3429, @TimMoore)
* Sun Feb 15 2015 coolo@suse.com
  - updated to version 1.8.2
* Sat Feb 14 2015 coolo@suse.com
  - updated to version 1.8.1
* Tue Feb 10 2015 coolo@suse.com
  - updated to version 1.8.0
* Mon Feb 09 2015 coolo@suse.com
  - updated to version 1.7.13, see CHANGELOG.md
* Mon Oct 13 2014 coolo@suse.com
  - adapt to new rubygem packaging

Files

/etc/alternatives/bundle
/etc/alternatives/bundle-1.16.1
/etc/alternatives/bundle.ruby2.5
/etc/alternatives/bundler
/etc/alternatives/bundler-1.16.1
/etc/alternatives/bundler.ruby2.5
/usr/bin/bundle
/usr/bin/bundle-1.16.1
/usr/bin/bundle.ruby2.5
/usr/bin/bundle.ruby2.5-1.16.1
/usr/bin/bundler
/usr/bin/bundler-1.16.1
/usr/bin/bundler.ruby2.5
/usr/bin/bundler.ruby2.5-1.16.1
/usr/lib64/ruby/gems/2.5.0/build_info
/usr/lib64/ruby/gems/2.5.0/cache/bundler-1.16.1.gem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/CHANGELOG.md
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/LICENSE.md
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/README.md
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/bundler.gemspec
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/exe
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/exe/bundle
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/exe/bundle_ruby
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/exe/bundler
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/build_metadata.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/capistrano.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/add.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/binstubs.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/cache.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/check.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/clean.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/common.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/config.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/console.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/doctor.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/exec.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/gem.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/info.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/init.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/inject.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/install.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/issue.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/list.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/lock.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/open.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/outdated.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/package.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/platform.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/plugin.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/pristine.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/show.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/update.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/cli/viz.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/compact_index_client
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/compact_index_client.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/compact_index_client/cache.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/compact_index_client/updater.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/compatibility_guard.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/constants.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/current_ruby.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/definition.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/dep_proxy.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/dependency.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/deployment.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/deprecate.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/dsl.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/endpoint_specification.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/env.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/environment_preserver.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/errors.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/feature_flag.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher/base.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher/compact_index.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher/dependency.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher/downloader.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/fetcher/index.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/friendly_errors.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gem_helper.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gem_helpers.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gem_remote_fetcher.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gem_tasks.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gem_version_promoter.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/gemdeps.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/graph.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/index.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/injector.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/inline.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/installer
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/installer/gem_installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/installer/parallel_installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/installer/standalone.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/lazy_specification.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/lockfile_generator.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/lockfile_parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/match_platform.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/mirror.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/api
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/api.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/api/source.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/dsl.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/index.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/installer
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/installer/git.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/installer/rubygems.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/plugin/source_list.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/process_lock.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/psyched_yaml.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/remote_specification.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/resolver
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/resolver.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/resolver/spec_group.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/retry.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ruby_dsl.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ruby_version.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/rubygems_ext.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/rubygems_gem_installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/rubygems_integration.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/runtime.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/settings
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/settings.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/settings/validator.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/setup.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/shared_helpers.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/similarity_detector.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/gemspec.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/git
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/git.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/git/git_proxy.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/metadata.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/path
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/path.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/path/installer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/rubygems
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/rubygems.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source/rubygems/remote.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/source_list.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/spec_set.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/.document
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/certificate_manager.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/index.rubygems.org
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/index.rubygems.org/GlobalSignRootCA.pem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/rubygems.global.ssl.fastly.net/DigiCertHighAssuranceEVRootCA.pem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/rubygems.org
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ssl_certs/rubygems.org/AddTrustExternalCARoot.pem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/stub_specification.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/.document
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/Executable
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/Executable.bundler
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/Executable.standalone
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/Gemfile
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/gems.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/CODE_OF_CONDUCT.md.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/Gemfile.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/LICENSE.txt.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/README.md.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/Rakefile.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/bin
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/bin/console.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/bin/setup.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/exe
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/exe/newgem.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/ext
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/ext/newgem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/ext/newgem/extconf.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/ext/newgem/newgem.c.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/ext/newgem/newgem.h.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/gitignore.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/lib/newgem
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/lib/newgem.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/lib/newgem/version.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/newgem.gemspec.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/rspec.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/spec
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/spec/newgem_spec.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/spec/spec_helper.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/test
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/test/newgem_test.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/test/test_helper.rb.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/templates/newgem/travis.yml.tt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ui
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ui.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ui/rg_proxy.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ui/shell.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/ui/silent.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/uri_credentials_filter.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/fileutils
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/fileutils/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/fileutils/lib/fileutils.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/compatibility.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/delegates
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/errors.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/modules
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/molinillo/lib/molinillo/state.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net/http
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net/http/faster.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net/http/persistent
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net/http/persistent.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/net-http-persistent/lib/net/http/persistent/ssl_reuse.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/create_file.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/create_link.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/directory.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/empty_directory.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/actions/inject_into_file.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/base.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/command.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/core_ext
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/core_ext/hash_with_indifferent_access.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/core_ext/io_binary_read.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/core_ext/ordered_hash.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/error.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/group.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/invocation.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/line_editor
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/line_editor.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/line_editor/basic.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser/argument.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser/arguments.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser/option.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/parser/options.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/rake_compat.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/runner.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/shell
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/shell.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/shell/basic.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/shell/color.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/shell/html.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/util.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/version.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendored_fileutils.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendored_molinillo.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendored_persistent.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vendored_thor.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/version.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/version_ranges.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/vlad.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/worker.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/lib/bundler/yaml_serializer.rb
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-add.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-add.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-add.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-binstubs.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-binstubs.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-binstubs.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-check.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-check.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-check.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-clean.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-clean.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-clean.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-config.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-config.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-config.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-exec.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-exec.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-exec.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-gem.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-gem.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-gem.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-info.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-info.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-info.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-init.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-init.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-init.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-inject.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-inject.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-inject.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-install.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-install.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-install.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-list.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-list.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-list.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-lock.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-lock.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-lock.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-open.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-open.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-open.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-outdated.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-outdated.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-outdated.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-package.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-package.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-package.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-platform.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-platform.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-platform.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-pristine.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-pristine.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-pristine.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-show.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-show.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-show.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-update.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-update.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-update.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-viz.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-viz.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle-viz.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle.1
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle.1.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/bundle.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/gemfile.5
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/gemfile.5.ronn
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/gemfile.5.txt
/usr/lib64/ruby/gems/2.5.0/gems/bundler-1.16.1/man/index.txt
/usr/lib64/ruby/gems/2.5.0/specifications/bundler-1.16.1.gemspec
/usr/share/doc/packages/ruby2.5-rubygem-bundler
/usr/share/doc/packages/ruby2.5-rubygem-bundler/CHANGELOG.md
/usr/share/doc/packages/ruby2.5-rubygem-bundler/LICENSE.md
/usr/share/doc/packages/ruby2.5-rubygem-bundler/README.md


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 10:07:50 2021